# music.cpp File Reference

The songs that OpenTTD knows. More...

`#include "stdafx.h"`
`#include "music.h"`

Go to the source code of this file.

## Functions
| assert_compile (NUM_SONGS_AVAILABLE==lengthof(_origin_songs_specs))
## Variables
const SongSpecs | _origin_songs_specs []

## Detailed Description

The songs that OpenTTD knows.

Definition in file music.cpp.

## Variable Documentation

const SongSpecs _origin_songs_specs[]

Initial value:

     {
      {"gm_tt00.gm", "Tycoon DELUXE Theme"},
      {"gm_tt02.gm", "Easy Driver"},
      {"gm_tt03.gm", "Little Red Diesel"},
      {"gm_tt17.gm", "Cruise Control"},
      {"gm_tt07.gm", "Don't Walk!"},
      {"gm_tt09.gm", "Fell Apart On Me"},
      {"gm_tt04.gm", "City Groove"},
      {"gm_tt19.gm", "Funk Central"},
      {"gm_tt06.gm", "Stoke It"},
      {"gm_tt12.gm", "Road Hog"},
      {"gm_tt05.gm", "Aliens Ate My Railway"},
      {"gm_tt01.gm", "Snarl Up"},
      {"gm_tt18.gm", "Stroll On"},
      {"gm_tt10.gm", "Can't Get There From Here"},
      {"gm_tt08.gm", "Sawyer's Tune"},
      {"gm_tt13.gm", "Hold That Train!"},
      {"gm_tt21.gm", "Movin' On"},
      {"gm_tt15.gm", "Goss Groove"},
      {"gm_tt16.gm", "Small Town"},
      {"gm_tt14.gm", "Broomer's Oil Rag"},
      {"gm_tt20.gm", "Jammit"},
      {"gm_tt11.gm", "Hard Drivin'"},
    }

Definition at line 8 of file music.cpp.